Bug 300371 - ntp silently fails if lo is unavailable
Summary: ntp silently fails if lo is unavailable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ntp   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-21 14:18 UTC by Matthew Truch
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:45:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Truch 2007-09-21 14:18:55 UTC
Description of problem:
ntpd silently fails if the loopback device is unavailable.  

ntpd should either fail with an error message or, preferably, should only use lo
when it is available.  

See Bug 293271 for a discussion leading up to this bug.

Comment 1 Miroslav Lichvar 2007-09-24 14:45:17 UTC
Fixed in ntp-4.2.4p2-6.fc8. Thanks for the report.

I'll prepare an F7 update when there are more ntp bugs to be fixed.


Note You need to log in before you can comment on or make changes to this bug.